import { Milliseconds } from '@vkontakte/videoplayer-shared';
export interface ILiveOffset {
    getTotalPausedTime(): Milliseconds;
    getCurrentPausedTime(): Milliseconds;
    getStreamOffset(): Milliseconds;
    getTotalOffset(): Milliseconds;
    pause(): void;
    resume(): void;
    resetTo(offset: Milliseconds, isPaused?: boolean): void;
}
